Bug 129972

Summary: Update Port: benchmarks/lmbench [patch] - A system performance measurement tool
Product: Ports & Packages Reporter: Sachidananda Urs <sacchi>
Component: Individual Port(s)Assignee: Greg Larkin <glarkin>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff
none
patch.txt none

Description Sachidananda Urs 2008-12-27 09:40:05 UTC
Updated port to fetch and build the recent release of lmbench, current port was outdated.
Modified port description and master sites. 
Updated the maintainer, changed to sacchi@gmail.com.

Fix: Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2008-12-27 18:05:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2008-12-27 20:24:06 UTC
State Changed
From-To: open->feedback

Errors:http://tinderbox-amd64.p6m7g8.net/errors/8-CURRENT-amd64-NO/lmbench-3.0,3.0.log
Comment 3 Philip M. Gollucci freebsd_committer 2008-12-29 01:28:09 UTC
State Changed
From-To: feedback->open

feed back received
Comment 4 Philip M. Gollucci freebsd_committer 2008-12-29 01:50:42 UTC
State Changed
From-To: open->feedback

ding, round 2
Comment 5 Philip M. Gollucci freebsd_committer 2009-01-26 05:35:17 UTC
State Changed
From-To: feedback->open

Feedback received via private e-mail, waiting on me.
Comment 6 Philip M. Gollucci freebsd_committer 2009-01-27 08:12:07 UTC
====================<phase 7: make package>====================
===>  Building package for lmbench-3.0,3.0
tar: lib/lmbench/bin/amd64-freebsd8.0/cache: Cannot stat: No such file or directory
tar: lib/lmbench/bin/amd64-freebsd8.0/lat_dram_page: Cannot stat: No such file or directory
tar: lib/lmbench/bin/amd64-freebsd8.0/lat_pmake: Cannot stat: No such file or directory
tar: lib/lmbench/bin/amd64-freebsd8.0/lat_rand: Cannot stat: No such file or directory
tar: lib/lmbench/bin/amd64-freebsd8.0/lat_usleep: Cannot stat: No such file or directory
tar: lib/lmbench/bin/amd64-freebsd8.0/lat_cmd: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
Creating package /tmp/packages/All/lmbench-3.0,3.0.tbz
Registering depends:.
Creating bzip'd tar ball in '/tmp/packages/All/lmbench-3.0,3.0.tbz'
*** Error code 1

Stop in /a/ports/benchmarks/lmbench.
Deleting lmbench-3.0,3.0
pkg_delete: file '/usr/local/lib/lmbench/bin/amd64-freebsd8.0/cache' doesn't exist
pkg_delete: file '/usr/local/lib/lmbench/bin/amd64-freebsd8.0/lat_dram_page' doesn't exist
pkg_delete: file '/usr/local/lib/lmbench/bin/amd64-freebsd8.0/lat_pmake' doesn't exist
pkg_delete: file '/usr/local/lib/lmbench/bin/amd64-freebsd8.0/lat_rand' doesn't exist
pkg_delete: file '/usr/local/lib/lmbench/bin/amd64-freebsd8.0/lat_usleep' doesn't exist
pkg_delete: file '/usr/local/lib/lmbench/bin/amd64-freebsd8.0/lat_cmd' doesn't exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

=== Checking filesystem state
Comment 7 Philip M. Gollucci freebsd_committer 2009-01-27 08:14:00 UTC
State Changed
From-To: open->feedback

Ask for pkg-plist feedback, inline errors this time (my fault)
Comment 8 Philip M. Gollucci freebsd_committer 2009-02-06 04:10:19 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

back to pool
Comment 9 Sachidananda Urs 2009-02-11 16:37:23 UTC
Hi,

The error was due to the dependency on gmake in the new version.
I've made the changes in the Makefile. Please find the attached patch.

Regards,
Sachidananda.
Comment 10 Sachidananda Urs 2009-02-11 18:03:18 UTC
diff -urN /usr/ports/benchmarks/lmbench/Makefile ./Makefile
--- /usr/ports/benchmarks/lmbench/Makefile	2008-04-29 11:06:35.000000000 +0530
+++ ./Makefile	2009-02-08 23:15:41.000000000 +0530
@@ -6,14 +6,18 @@
 #

 PORTNAME=	lmbench
-PORTVERSION=	3a4
+PORTVERSION=	3.0
+PORTEPOCH=	3.0
 CATEGORIES=	benchmarks
-MASTER_SITES=	http://www.bitmover.com/lmbench/
-DISTNAME=	${PORTNAME}${PORTVERSION:S/a4//}
+MASTER_SITES=	SF http://thegaul.org/src/
+DISTNAME=	${PORTNAME}-${PORTVERSION}-a9
+EXTRACT_SUFX=	.tgz

-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	sacchi@gmail.com
 COMMENT=	A system performance measurement tool

+USE_GMAKE=	yes
+
 ALL_TARGET=	build
 MAKE_ENV=	PATH=${PATH}:${WRKSRC}/scripts
 MAN1=		bargraph.1 graph.1 pgraph.1 rccs.1
diff -urN /usr/ports/benchmarks/lmbench/distinfo ./distinfo
--- /usr/ports/benchmarks/lmbench/distinfo	2008-12-27 13:56:07.000000000 +0530
+++ ./distinfo	2008-12-27 14:33:43.000000000 +0530
@@ -1,3 +1,3 @@
-MD5 (lmbench3.tar.gz) = 79f1861dfdd0110c6dd9d24d1d5473e7
-SHA256 (lmbench3.tar.gz) =
5265013bfde00d74866e80ebc17ce5f6ef9f30cb724191c12e5387003a268003
-SIZE (lmbench3.tar.gz) = 411874
+MD5 (lmbench-3.0-a9.tgz) = b3351a3294db66a72e2864a199d37cbf
+SHA256 (lmbench-3.0-a9.tgz) =
cbd5777d15f44eab7666dcac418054c3c09df99826961a397d9acf43d8a2a551
+SIZE (lmbench-3.0-a9.tgz) = 417941
diff -urN /usr/ports/benchmarks/lmbench/patch.txt ./patch.txt
--- /usr/ports/benchmarks/lmbench/patch.txt	1970-01-01 05:30:00.000000000 +0530
+++ ./patch.txt	2009-02-08 23:42:17.000000000 +0530
@@ -0,0 +1,36 @@
+diff -urN /usr/ports/benchmarks/lmbench/Makefile ./Makefile
+--- /usr/ports/benchmarks/lmbench/Makefile	2008-04-29 11:06:35.000000000 +0530
++++ ./Makefile	2009-02-08 23:15:41.000000000 +0530
+@@ -6,14 +6,18 @@
+ #
+
+ PORTNAME=	lmbench
+-PORTVERSION=	3a4
++PORTVERSION=	3.0
++PORTEPOCH=	3.0
+ CATEGORIES=	benchmarks
+-MASTER_SITES=	http://www.bitmover.com/lmbench/
+-DISTNAME=	${PORTNAME}${PORTVERSION:S/a4//}
++MASTER_SITES=	SF http://thegaul.org/src/
++DISTNAME=	${PORTNAME}-${PORTVERSION}-a9
++EXTRACT_SUFX=	.tgz
+
+-MAINTAINER=	ports@FreeBSD.org
++MAINTAINER=	sacchi@gmail.com
+ COMMENT=	A system performance measurement tool
+
++USE_GMAKE=	yes
++
+ ALL_TARGET=	build
+ MAKE_ENV=	PATH=${PATH}:${WRKSRC}/scripts
+ MAN1=		bargraph.1 graph.1 pgraph.1 rccs.1
+diff -urN /usr/ports/benchmarks/lmbench/distinfo ./distinfo
+--- /usr/ports/benchmarks/lmbench/distinfo	2008-12-27 13:56:07.000000000 +0530
++++ ./distinfo	2008-12-27 14:33:43.000000000 +0530
+@@ -1,3 +1,3 @@
+-MD5 (lmbench3.tar.gz) = 79f1861dfdd0110c6dd9d24d1d5473e7
+-SHA256 (lmbench3.tar.gz) =
5265013bfde00d74866e80ebc17ce5f6ef9f30cb724191c12e5387003a268003
+-SIZE (lmbench3.tar.gz) = 411874
++MD5 (lmbench-3.0-a9.tgz) = b3351a3294db66a72e2864a199d37cbf
++SHA256 (lmbench-3.0-a9.tgz) =
cbd5777d15f44eab7666dcac418054c3c09df99826961a397d9acf43d8a2a551
++SIZE (lmbench-3.0-a9.tgz) = 417941
diff -urN /usr/ports/benchmarks/lmbench/pkg-descr ./pkg-descr
--- /usr/ports/benchmarks/lmbench/pkg-descr	1999-05-03 03:04:43.000000000 +0530
+++ ./pkg-descr	2008-12-27 14:32:54.000000000 +0530
@@ -1,12 +1,15 @@
-This is lmbench-1.0, a (sometimes controversial) system performance
-measurement tool.  You can go to /usr/local/lib/lmbench and do one
-of the followings:
+This is lmbench-3.0-a9, a (sometimes controversial) system performance
+measurement tool.  lmbench is a suite of simple, portable, ANSI/C
+microbenchmarks for UNIX/POSIX. In general, it measures two key features:
+latency and bandwidth. lmbench is intended to give system developers insight
+into basic costs of key operations. You can go to /usr/local/lib/lmbench and
+do one of the following:

 make results (to run the benchmarks)
 make rerun   (to rerun the benchmarks)
 make see     (to see how you did)

-WWW: http://www.bitmover.com/lmbench/lmbench.html
+WWW: http://sourceforge.net/projects/lmbench/

 - Satoshi
 asami@cs.berkeley.edu
Comment 11 Mark Linimon freebsd_committer freebsd_triage 2009-02-11 22:41:15 UTC
State Changed
From-To: feedback->open

new patch received.
Comment 12 Greg Larkin freebsd_committer 2009-05-20 18:14:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.
Comment 13 Greg Larkin freebsd_committer 2009-06-01 16:44:59 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Sachidananda,

I am working on the PR you submitted for benchmarks/lmbench.  Everything
builds fine, and I am testing it now.

I have run into a problem when the "make rerun" process invokes the
memsize executable.  No matter what, memsize always returns "1", and I
get the following message:

- ----------------------------
./config-run aborted: Not enough memory, only 1MB available.
*** Error code 1

Stop in /usr/local/lib/lmbench.
- ----------------------------

I am testing inside of a VMware virtual machine with 768MB of virtual
RAM.  Do you think that running lmbench inside of a VM could cause this
problem?

What command do you use for running lmbench?  If I should do something
other than "make rerun", let me know.

Regards,
Greg
- --
Greg Larkin

http://www.FreeBSD.org/       - The Power To Serve
http://www.sourcehosting.net/ - Ready. Set. Code.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFKI/d60sRouByUApARAnnGAKCe88Zv4k5xvmvpBQIMfAIhKCY1MwCgy7eI
NvY/X2cYuCdEVLvSk9pdWG0=
=Ni+8
-----END PGP SIGNATURE-----
Comment 14 Greg Larkin freebsd_committer 2009-06-01 16:45:11 UTC
State Changed
From-To: open->feedback

Requested testing process feedback from PR submitter.
Comment 15 dfilter service freebsd_committer 2009-06-25 19:17:19 UTC
glarkin     2009-06-25 18:17:04 UTC

  FreeBSD ports repository

  Modified files:
    benchmarks/lmbench   Makefile distinfo pkg-descr 
    benchmarks/lmbench/files Makefile 
  Added files:
    benchmarks/lmbench/files patch-scripts__config-run 
                             patch-scripts__getpercent 
  Log:
  - Updated to 3.0.a9
  - Added patch files to correct small errors
  - Submitter has been as assigned as new maintainer
  
  PR:             ports/129972
  Submitted by:   Sachidananda Urs <sacchi at gmail dot com>
  
  Revision  Changes    Path
  1.22      +6 -4      ports/benchmarks/lmbench/Makefile
  1.7       +3 -3      ports/benchmarks/lmbench/distinfo
  1.4       +3 -1      ports/benchmarks/lmbench/files/Makefile
  1.1       +11 -0     ports/benchmarks/lmbench/files/patch-scripts__config-run (new)
  1.1       +11 -0     ports/benchmarks/lmbench/files/patch-scripts__getpercent (new)
  1.4       +7 -4      ports/benchmarks/lmbench/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 Greg Larkin freebsd_committer 2009-06-25 19:23:28 UTC
State Changed
From-To: feedback->closed

Committed with minor modifications, thank you!